MKTEMP(1)

BEZEICHNUNG
mktemp - eine temporäre Datei oder ein temporäres Verzeichnis erstellen

ÜBERSICHT
mktemp [OPTION]… [SCHABLONE]

BESCHREIBUNG

Das Programm erstellt auf sichere Weise eine temporäre Datei oder ein temporäres Verzeichnis und gibt den Namen aus. SCHABLONE muss mindestens drei aufeinanderfolgende »X« in der letzten Komponente aufweisen. Wenn SCHABLONE nicht angegeben wird, verwendet das Programm tmp.XXXXXXXXXX und impliziert --tmpdir. Dateien werden mit dem Modus u+rw erstellt, Verzeichnisse mit u+rwx, abzüglich der Beschränkungen durch umask.

-d, --directory
    Erstellen eines Verzeichnisses, nicht einer Datei

-u, --dry-run
    Nichts erstellen, lediglich einen Namen ausgeben (unsicher)

-q, --quiet
    Unterdrücken der Diagnostik bei Fehlern der Datei-/Verzeichniserstellung

--suffix=SUFFIX
    SUFFIX an SCHABLONE anhängen. SUFFIX darf keinen Schrägstrich (»Slash«) enthalten. Diese Option wird impliziert, wenn SCHABLONE nicht mit »X« endet.

-p VERZ, --tmpdir[=VERZ]
    SCHABLONE relativ zu VERZ auswerten. Wenn VERZ nicht angegeben ist, wird dafür $TMPDIR benutzt, falls es angegeben wurde; anderenfalls /tmp. Bei dieser Option darf SCHABLONE kein absoluter Name sein. Anders als bei -t darf SCHABLONE Schrägstriche (»Slashes«) enthalten, allerdings erstellt mktemp nur die abschließende Komponente.

-t  SCHABLONE wird als einzelne Komponente eines Dateinamens relativ zu einem Verzeichnis interpretiert: $TMPDIR, falls es angegeben wurde; das über -p angegebene Verzeichnis oder aber /tmp [veraltet]

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Jim Meyering und Eric Blake.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
mkstemp(3), mkdtemp(3), mktemp(3)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/mktemp>
oder lokal verfügbar mit: info '(coreutils) mktemp invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).